###

#

ColorSpacesCompatibleConcept< CS1, CS2 > Struct Template Reference
Color, Color Space, and Layout » Concepts

Two color spaces are compatible if they are the same. More...

`#include <color.hpp>`

## Public Member Functions

void | constraints ()

## Detailed Description

template<typename CS1, typename CS2>
struct boost::gil::ColorSpacesCompatibleConcept< CS1, CS2 >

Two color spaces are compatible if they are the same.

concept ColorSpacesCompatibleConcept<ColorSpaceConcept CS1, ColorSpaceConcept CS2>
{
where SameType<CS1, CS2>;
};
boost::gil::ColorSpaceConcept
Color space type concept.
Definition: color.hpp:38
boost::gil::ColorSpacesCompatibleConcept
Two color spaces are compatible if they are the same.
Definition: color.hpp:61
boost::gil::SameType
Concept of types equivalence requirement.
Definition: basic.hpp:179

The documentation for this struct was generated from the following file:

- color.hpp